package com.huimv.management.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huimv.management.entity.YearPigBaseEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.YearPigBaseDao;
import com.huimv.management.entity.YearPigBaseEntity;
import com.huimv.management.service.YearPigBaseService;


@Service("yearPigBaseService")
public class YearPigBaseServiceImpl extends ServiceImpl<YearPigBaseDao, YearPigBaseEntity> implements YearPigBaseService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {

        LambdaQueryWrapper<YearPigBaseEntity> lambdaQuery = Wrappers.lambdaQuery();
        String keywords = (String) params.get("keywords");
        //没有参数
        if (keywords == null || keywords.equals("")){
            IPage<YearPigBaseEntity> page = this.page(
                    new Query<YearPigBaseEntity>().getPage(params),
                    new QueryWrapper<YearPigBaseEntity>()
            );
            return new PageUtils(page);
        }

        lambdaQuery.like(YearPigBaseEntity::getBreed,keywords);
        IPage<YearPigBaseEntity> page = page(this.page(
                new Query<YearPigBaseEntity>().getPage(params)
        ), lambdaQuery);


        return new PageUtils(page);
    }

}